//
//  ZLXViewController.m
//  hearder的代理方法
//
//  Created by zlx on 16/4/29.
//  Copyright © 2016年 ZLX. All rights reserved.
//

#import "ZLXViewController.h"
#import "ZLXHeaderView.h"
#import "UIView+ZLXExtension.h"
@interface ZLXViewController ()<ZLXHeaderViewDelegate>
@property (nonatomic,weak) UIView *headerView;
@end

@implementation ZLXViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    [self setupTableHeaderFooterView];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#pragma mark - Table view data source



- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
//#warning Incomplete implementation, return the number of rows
    return 10;
}
- (UITableViewCell *) tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath{

    static NSString *reuseId = @"cell";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:reuseId];
    if (cell == nil) {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleValue1 reuseIdentifier:reuseId];
    }
    cell.textLabel.text = @"bbb";
    
    return cell;

}
-(void)setupTableHeaderFooterView {
    /** footer,去除多余线条 */
    self.tableView.tableFooterView = [[UIView alloc] initWithFrame:CGRectZero];
    
    /** header, */
    ZLXHeaderView *headerView = [[ZLXHeaderView alloc] init];
    headerView.delegate = self;
    self.headerView = headerView;
    //...
    headerView.frame = CGRectMake(0, 0, [UIScreen mainScreen].bounds.size.width, headerView.height);
    self.tableView.tableHeaderView = headerView;
}

- (void) selectHeaderViewDidDisplayForHeight:(CGFloat)height{


    self.headerView.frame = CGRectMake(0, 0, [UIScreen mainScreen].bounds.size.width, height);
    [self.tableView setTableHeaderView:self.headerView];

}
#warning 这是自定义底部视图的高

//- (CGFloat) tableView:(UITableView *)tableView heightForFooterInSection:(NSInteger)section{
//
//    return 200;
//
//}
//- (CGFloat) tableView:(UITableView *)tableView heightForHeaderInSection:(NSInteger)section{
//
//    return 200;
//
//}
#warning 这是自定义头视图，会调用这个代理方法

//-(UIView *) tableView:(UITableView *)tableView viewForHeaderInSection:(NSInteger)section{
//
//    UILabel *lable = [[UILabel alloc] init];
//    self.tableView.tableHeaderView = lable;
//    lable.text = @"aaaaa";
//    return lable;
//}


@end
